import { EventData, MenuData, TreeNode } from "./types";

/**
 * 菜单触发器（渲染进程）
 * @额外扩展
 * - load: 渲染进程加载
 */
export const menu: MenuData[] = [
	{
		trigger_ss: ["node/测试菜单"],
		callback_f: () => {
			console.log("测试菜单");
		},
	},
];

/**
 * 事件触发器（主进程）
 * @备注
 * 事件列表：顶部菜单/开发者/消息列表
 * @额外扩展
 * - load: 主进程加载
 * - unload: 主进程卸载
 */
export const event: EventData[] = [
	// {
	// 	trigger_ss: ["scene:ready"],
	// 	callback_f: (data: any) => {
	// 		console.log(
	// 			"场景打开",
	// 			data,
	// 			plugin_config.global_data.node_tree_reference_tab
	// 		);
	// 	},
	// },
];

/**
 * 事件触发器（场景脚本）
 * @额外扩展
 * - load: 场景脚本加载
 * - unload: 场景脚本卸载
 */
export const scene: EventData[] = [
	// {
	// 	trigger_ss: ["scene_test"],
	// 	callback_f: (args: number) => {
	// 		let cc = require("cc");
	// 		console.log("场景脚本", args, `cc(${Boolean(cc)})`);
	// 	},
	// },
];

export const m_global = globalThis;
